Nvidia-465.31 & linux-tkg-bmq-skylake 5.12.2-153 build error

After update Wine lags so much.

inxi -Fxxxza
System:    Kernel: 5.12.2-153-tkg-bmq x86_64 bits: 64 compiler: gcc v: 10.2.0  
parameters: intel_pstate=passive BOOT_IMAGE=/@/boot/vmlinuz-linux-tkg-bmq-skylake  
root=UUID=00b33177-335b-466d-8a5b-e5bad5669f19 rw [email protected] quiet splash rd.udev.log_priority=3
vt.global_cursor_default=0 systemd.unified_cgroup_hierarchy=1 loglevel=3
Desktop: KDE Plasma 5.21.5 tk: Qt 5.15.2 info: latte-dock wm: kwin_x11 vt: 1 dm: SDDM Distro: Garuda Linux  
base: Arch Linux  
Machine:   Type: Laptop System: Micro-Star product: GL65 9SE v: REV:1.0 serial: <filter> Chassis: type: 10 serial: <filter>  
Mobo: Micro-Star model: MS-16U5 v: REV:1.0 serial: <filter> UEFI: American Megatrends v: E16U5IMS.101  
date: 07/02/2019  
Battery:   ID-1: BAT1 charge: 25.7 Wh (60.0%) condition: 42.8/51.6 Wh (82.9%) volts: 11.1 min: 10.9 model: MSI BIF0_9  
type: Li-ion serial: N/A status: Unknown  
CPU:       Info: 6-Core model: Intel Core i7-9750H bits: 64 type: MT MCP arch: Kaby Lake note: check family: 6  
model-id: 9E (158) stepping: A (10) microcode: DE cache: L2: 12 MiB  
flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 62469  
Speed: 2600 MHz min/max: 800/2600 MHz Core speeds (MHz): 1: 2600 2: 2412 3: 2600 4: 2600 5: 2576 6: 2600 7: 2600  
8: 2600 9: 2600 10: 2601 11: 2603 12: 2601  
Vulnerabilities: Type: itlb_multihit status: KVM: VMX disabled  
Type: l1tf mitigation: PTE Inversion; VMX: conditional cache flushes, SMT vulnerable  
Type: mds mitigation: Clear CPU buffers; SMT vulnerable  
Type: meltdown mitigation: PTI  
Type: spec_store_bypass mitigation: Speculative Store Bypass disabled via prctl and seccomp  
Type: spectre_v1 mitigation: usercopy/swapgs barriers and __user pointer sanitization  
Type: spectre_v2 mitigation: Full generic retpoline, IBPB: conditional, IBRS_FW, STIBP: conditional, RSB filling  
Type: srbds mitigation: Microcode  
Type: tsx_async_abort status: Not affected  
Graphics:  Device-1: Intel UHD Graphics 630 vendor: Micro-Star MSI driver: i915 v: kernel bus-ID: 00:02.0 chip-ID: 8086:3e9b  
class-ID: 0300  
Device-2: NVIDIA TU106M [GeForce RTX 2060 Mobile] vendor: Micro-Star MSI driver: nvidia v: 465.27  
alternate: nouveau bus-ID: 01:00.0 chip-ID: 10de:1f11 class-ID: 0300  
Device-3: Chicony HD Webcam type: USB driver: uvcvideo bus-ID: 1-13:5 chip-ID: 04f2:b695 class-ID: 0e02  
Display: x11 server: X.Org 1.20.11 compositor: kwin_x11 driver: loaded: intel,nvidia unloaded: modesetting,nouveau  
alternate: fbdev,nv,vesa display-ID: :0 screens: 1  
Screen-1: 0 s-res: 1920x1080 s-dpi: 96 s-size: 508x285mm (20.0x11.2") s-diag: 582mm (22.9")  
Monitor-1: eDP1 res: 1920x1080 hz: 120 dpi: 143 size: 340x190mm (13.4x7.5") diag: 389mm (15.3")  
OpenGL: renderer: Mesa Intel UHD Graphics 630 (CFL GT2) v: 4.6 Mesa 21.1.0 direct render: Yes  
Audio:     Device-1: Intel Cannon Lake PCH cAVS vendor: Micro-Star MSI driver: snd_hda_intel v: kernel  
alternate: snd_soc_skl,snd_sof_pci_intel_cnl bus-ID: 00:1f.3 chip-ID: 8086:a348 class-ID: 0403  
Sound Server-1: ALSA v: k5.12.2-153-tkg-bmq running: yes  
Sound Server-2: JACK v: 0.125.0 running: no  
Sound Server-3: PulseAudio v: 14.2 running: yes  
Sound Server-4: PipeWire v: 0.3.28 running: no  
Network:   Device-1: Intel Wireless-AC 9560 [Jefferson Peak] driver: iwlwifi v: kernel port: 5000 bus-ID: 00:14.3  
chip-ID: 8086:a370 class-ID: 0280  
IF: wlo1 state: up mac: <filter>  
Device-2: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet vendor: Micro-Star MSI driver: r8169 v: kernel  
port: 3000 bus-ID: 03:00.0 chip-ID: 10ec:8168 class-ID: 0200  
IF: enp3s0 state: down mac: <filter>  
IF-ID-1: virbr0 state: down mac: <filter>  
Bluetooth: Device-1: Intel Bluetooth 9460/9560 Jefferson Peak (JfP) type: USB driver: btusb v: 0.8 bus-ID: 1-14:6  
chip-ID: 8087:0aaa class-ID: e001  
Report: bt-adapter ID: hci0 rfk-id: 0 state: down bt-service: enabled,running rfk-block: hardware: no software: yes  
address: <filter>  
Drives:    Local Storage: total: 1.38 TiB used: 106.25 GiB (7.5%)  
SMART Message: Unable to run smartctl. Root privileges required.  
ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Western Digital model: PC SN520 SDAPNUW-512G-1032 size: 476.94 GiB  
block-size: physical: 512 B logical: 512 B speed: 15.8 Gb/s lanes: 2 rotation: SSD serial: <filter> rev: 20140000  
scheme: GPT  
ID-2: /dev/sda maj-min: 8:0 vendor: Western Digital model: WD10JPVX-60JC3T0 size: 931.51 GiB block-size:  
physical: 4096 B logical: 512 B speed: 6.0 Gb/s rotation: 5400 rpm serial: <filter> rev: 1A01 scheme: GPT  
Partition: ID-1: / raw-size: 73.24 GiB size: 73.24 GiB (100.00%) used: 32.49 GiB (44.4%) fs: btrfs dev: /dev/nvme0n1p2  
maj-min: 259:2  
ID-2: /boot/efi raw-size: 256 MiB size: 252 MiB (98.46%) used: 546 KiB (0.2%) fs: vfat dev: /dev/nvme0n1p1  
maj-min: 259:1  
ID-3: /home raw-size: 73.24 GiB size: 73.24 GiB (100.00%) used: 32.49 GiB (44.4%) fs: btrfs dev: /dev/nvme0n1p2  
maj-min: 259:2
ID-4: /var/log raw-size: 73.24 GiB size: 73.24 GiB (100.00%) used: 32.49 GiB (44.4%) fs: btrfs dev: /dev/nvme0n1p2
maj-min: 259:2
ID-5: /var/tmp raw-size: 73.24 GiB size: 73.24 GiB (100.00%) used: 32.49 GiB (44.4%) fs: btrfs dev: /dev/nvme0n1p2
maj-min: 259:2
Swap:      Kernel: swappiness: 10 (default 60) cache-pressure: 75 (default 100)
ID-1: swap-1 type: zram size: 1.29 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram0
ID-2: swap-2 type: zram size: 1.29 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram1
ID-3: swap-3 type: zram size: 1.29 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram2
ID-4: swap-4 type: zram size: 1.29 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram3
ID-5: swap-5 type: zram size: 1.29 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram4
ID-6: swap-6 type: zram size: 1.29 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram5
ID-7: swap-7 type: zram size: 1.29 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram6
ID-8: swap-8 type: zram size: 1.29 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram7
ID-9: swap-9 type: zram size: 1.29 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram8
ID-10: swap-10 type: zram size: 1.29 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram9
ID-11: swap-11 type: zram size: 1.29 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram10
ID-12: swap-12 type: zram size: 1.29 GiB used: 0 KiB (0.0%) priority: 32767 dev: /dev/zram11
Sensors:   System Temperatures: cpu: 53.0 C mobo: N/A
Fan Speeds (RPM): N/A
Info:      Processes: 398 Uptime: 17m wakeups: 1 Memory: 15.47 GiB used: 3.8 GiB (24.5%) Init: systemd v: 248 tool: systemctl
Compilers: gcc: 11.1.0 clang: 11.1.0 Packages: pacman: 1733 lib: 536 Shell: fish v: 3.2.2 running-in: konsole
inxi: 3.3.04
sudo pacman -Syu
sudo pacman -Syu
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
chaotic-aur is up to date
:: Starting full system upgrade...
warning: protontricks-git: local (1.5.1.dev5+g2d33981-1) is newer than chaotic-aur (1.5.1-1)
resolving dependencies...
looking for conflicting packages...

Packages (71) alacritty-0.8.0-1  alsa-card-profiles-1:0.3.28-1  bind-9.16.16-1  ca-certificates-mozilla-3.65-1  downgrade-10.0.0-1  dxvk-mingw-git-1.8.1.r85.g94674ac4-1  egl-wayland-1.1.7-1  exfatprogs-1.1.2-1
fzf-0.27.1-1  garuda-network-assistant-1.1.0-1  glibmm-2.66.1-1  gst-plugins-bad-1.18.4-7  gst-plugins-bad-libs-1.18.4-7  hblock-3.2.2-1  imagemagick-7.0.11.13-2  imath-3.0.3-1  ipp-usb-0.9.19-1
itch-1:1.26.0-1  kimageformats-5.82.0-2  kio-extras-21.04.1-2  kmod-29-1  ktexteditor-5.82.0-2  kvantum-theme-sweet-git-r189.9b123a4-1  latte-dock-git-r5466.e8cc5603-1  lib32-libepoxy-1.5.8-1
lib32-libx11-1.7.1-1  lib32-nss-3.65-1  lib32-nvidia-utils-465.31-1  lib32-opencl-nvidia-465.31-1  lib32-pango-1:1.48.5-1  libepoxy-1.5.8-1  libimagequant-2.15.1-1  libmfx-21.1.3-2  liborcus-0.16.1-6
libsigc++-2.10.7-1  libslirp-4.5.0-1  libvirt-1:7.3.0-1  libvirt-python-1:7.3.0-1  libwpd-0.10.3-3  libx11-1.7.1-1  lz4-1:1.9.3-2  noisetorch-bin-0.11.2-1  nss-3.65-1  nvidia-dkms-465.31-1
nvidia-utils-465.31-1  opencl-nvidia-465.31-1  openexr-3.0.3-1  pango-1:1.48.5-1  perl-ffi-checklib-0.28-1  perl-http-message-6.32-1  pipewire-1:0.3.28-1  python-click-8.0.1-1  python-jinja-3.0.1-1
python-markupsafe-2.0.1-1  python-pypresence-4.2.0-1  qemu-6.0.0-3  qemu-arch-extra-6.0.0-3  qt5-base-5.15.2+kde+r194-1  qt5-wayland-5.15.2+kde+r23-1  rare-git-1.5_beta.r3.gacf1b2d-1
retroarch-1.9.3-1  retroarch-autoconfig-udev-git-r1899.b8557bf-1  starship-0.54.0-1  steamtinkerlaunch-6.8-1  svt-hevc-1.5.1-1  sweet-kde-git-r189.9b123a4-1  systemd-248.3-2  systemd-libs-248.3-2
systemd-sysvcompat-248.3-2  whoogle-git-0.5.0_r362.g39ed13f-1  zstd-1.5.0-1

Total Download Size:    389.35 MiB
Total Installed Size:  1907.17 MiB
Net Upgrade Size:         4.79 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...

(71/71) checking available disk space                                                                                             [------------------------------------------------------------------------------] 100%
:: Running pre-transaction hooks...
(1/2) Creating Timeshift snapshot before upgrade...
Using system disk as snapshot device for creating snapshots in BTRFS mode

/dev/nvme0n1p2 is mounted at: /run/timeshift/backup, options: rw,relatime,compress=zstd:3,ssd,space_cache,autodefrag,subvolid=5,subvol=/

Creating new backup...(BTRFS)
Saving to device: /dev/nvme0n1p2, mounted at path: /run/timeshift/backup
Created directory: /run/timeshift/backup/timeshift-btrfs/snapshots/2021-05-22_20-44-35
Created subvolume snapshot: /run/timeshift/backup/timeshift-btrfs/snapshots/2021-05-22_20-44-35/@
Created control file: /run/timeshift/backup/timeshift-btrfs/snapshots/2021-05-22_20-44-35/info.json
BTRFS Snapshot saved successfully (0s)
Tagged snapshot '2021-05-22_20-44-35': ondemand
------------------------------------------------------------------------------
Generating grub configuration file ...
Found theme: /usr/share/grub/themes/garuda/theme.txt
Found linux image: /boot/vmlinuz-linux-tkg-bmq-skylake
Found initrd image: /boot/intel-ucode.img /boot/initramfs-linux-tkg-bmq-skylake.img
Found fallback initrd image(s) in /boot: initramfs-linux-tkg-bmq-skylake-fallback.img
Detecting snapshots ...
Info: Separate boot partition not detected 
Found snapshot: 2021-05-22 20:44:35 | timeshift-btrfs/snapshots/2021-05-22_20-44-35/@
Found snapshot: 2021-05-22 11:07:12 | timeshift-btrfs/snapshots/2021-05-22_11-07-12/@
Found 2 snapshot(s)
Found memtest86+ image: /boot/memtest86+/memtest.bin
/usr/bin/grub-probe: warning: unknown device type nvme0n1.
done
(2/2) Remove DKMS modules
==> dkms remove --no-depmod -m nvidia -v 465.27 -k 5.12.2-153-tkg-bmq
==> depmod 5.12.2-153-tkg-bmq
:: Processing package changes...
( 1/71) upgrading libx11                                                                                                          [------------------------------------------------------------------------------] 100%
(13/71) upgrading systemd                                                                                                         [------------------------------------------------------------------------------] 100%
(14/71) upgrading nvidia-utils                                                                                                    [------------------------------------------------------------------------------] 100%
If you run into trouble with CUDA not being available, run nvidia-modprobe first.
(15/71) upgrading libmfx                                                                                                          [------------------------------------------------------------------------------] 100%
(16/71) upgrading pango                                                                                                           [------------------------------------------------------------------------------] 100%
(17/71) upgrading lib32-libx11                                                                                                    [------------------------------------------------------------------------------] 100%
(18/71) upgrading lib32-nvidia-utils                                                                                              [------------------------------------------------------------------------------] 100%
(19/71) upgrading dxvk-mingw-git                                                                                                  [------------------------------------------------------------------------------] 100%
(20/71) upgrading exfatprogs                                                                                                      [------------------------------------------------------------------------------] 100%
(21/71) upgrading fzf                                                                                                             [------------------------------------------------------------------------------] 100%
(22/71) upgrading qt5-base                                                                                                        [------------------------------------------------------------------------------] 100%
(23/71) upgrading garuda-network-assistant                                                                                        [------------------------------------------------------------------------------] 100%
(24/71) upgrading libsigc++                                                                                                       [------------------------------------------------------------------------------] 100%
(25/71) upgrading glibmm                                                                                                          [------------------------------------------------------------------------------] 100%
(26/71) upgrading gst-plugins-bad-libs                                                                                            [------------------------------------------------------------------------------] 100%
(27/71) upgrading imath                                                                                                           [------------------------------------------------------------------------------] 100%
(28/71) upgrading openexr                                                                                                         [------------------------------------------------------------------------------] 100%
(29/71) upgrading svt-hevc                                                                                                        [------------------------------------------------------------------------------] 100%
(30/71) upgrading imagemagick                                                                                                     [------------------------------------------------------------------------------] 100%
(31/71) upgrading gst-plugins-bad                                                                                                 [------------------------------------------------------------------------------] 100%
(32/71) upgrading hblock                                                                                                          [------------------------------------------------------------------------------] 100%
(33/71) upgrading ipp-usb                                                                                                         [------------------------------------------------------------------------------] 100%
(34/71) upgrading nss                                                                                                             [------------------------------------------------------------------------------] 100%
(35/71) upgrading itch                                                                                                            [------------------------------------------------------------------------------] 100%
(36/71) upgrading kimageformats                                                                                                   [------------------------------------------------------------------------------] 100%
(37/71) upgrading qt5-wayland                                                                                                     [------------------------------------------------------------------------------] 100%
(38/71) upgrading kio-extras                                                                                                      [------------------------------------------------------------------------------] 100%
(39/71) upgrading ktexteditor                                                                                                     [------------------------------------------------------------------------------] 100%
(40/71) upgrading kvantum-theme-sweet-git                                                                                         [------------------------------------------------------------------------------] 100%
(41/71) upgrading latte-dock-git                                                                                                  [------------------------------------------------------------------------------] 100%
(42/71) upgrading lib32-libepoxy                                                                                                  [------------------------------------------------------------------------------] 100%
(43/71) upgrading lib32-nss                                                                                                       [------------------------------------------------------------------------------] 100%
(44/71) upgrading lib32-opencl-nvidia                                                                                             [------------------------------------------------------------------------------] 100%
(45/71) upgrading lib32-pango                                                                                                     [------------------------------------------------------------------------------] 100%
(46/71) upgrading libimagequant                                                                                                   [------------------------------------------------------------------------------] 100%
(47/71) upgrading liborcus                                                                                                        [------------------------------------------------------------------------------] 100%
(48/71) upgrading libslirp                                                                                                        [------------------------------------------------------------------------------] 100%
(49/71) upgrading libvirt                                                                                                         [------------------------------------------------------------------------------] 100%
(50/71) upgrading libvirt-python                                                                                                  [------------------------------------------------------------------------------] 100%
(51/71) upgrading libwpd                                                                                                          [------------------------------------------------------------------------------] 100%
(52/71) upgrading noisetorch-bin                                                                                                  [------------------------------------------------------------------------------] 100%
NoiseTorch provides a self-update feature as part of the GUI.
The feature won't work with this package.
Don't attempt to update if prompted via the GUI
See the project page for details.

https://github.com/lawl/NoiseTorch

(53/71) upgrading nvidia-dkms                                                                                                     [------------------------------------------------------------------------------] 100%
(54/71) upgrading opencl-nvidia                                                                                                   [------------------------------------------------------------------------------] 100%
(55/71) upgrading perl-ffi-checklib                                                                                               [------------------------------------------------------------------------------] 100%
(56/71) upgrading perl-http-message                                                                                               [------------------------------------------------------------------------------] 100%
(57/71) upgrading pipewire                                                                                                        [------------------------------------------------------------------------------] 100%
(58/71) upgrading python-click                                                                                                    [------------------------------------------------------------------------------] 100%
(59/71) upgrading python-markupsafe                                                                                               [------------------------------------------------------------------------------] 100%
(60/71) upgrading python-jinja                                                                                                    [------------------------------------------------------------------------------] 100%
(61/71) upgrading qemu                                                                                                            [------------------------------------------------------------------------------] 100%
(62/71) upgrading qemu-arch-extra                                                                                                 [------------------------------------------------------------------------------] 100%
(63/71) installing python-pypresence                                                                                              [------------------------------------------------------------------------------] 100%
(64/71) upgrading rare-git                                                                                                        [------------------------------------------------------------------------------] 100%
(65/71) upgrading retroarch                                                                                                       [------------------------------------------------------------------------------] 100%
(66/71) upgrading retroarch-autoconfig-udev-git                                                                                   [------------------------------------------------------------------------------] 100%
(67/71) upgrading starship                                                                                                        [------------------------------------------------------------------------------] 100%
(68/71) upgrading steamtinkerlaunch                                                                                               [------------------------------------------------------------------------------] 100%
(69/71) upgrading sweet-kde-git                                                                                                   [------------------------------------------------------------------------------] 100%
(70/71) upgrading systemd-sysvcompat                                                                                              [------------------------------------------------------------------------------] 100%
(71/71) upgrading whoogle-git                                                                                                     [------------------------------------------------------------------------------] 100%
Restarted Whoogle systemd service.
:: Running post-transaction hooks...
( 1/25) Syncing all file systems...
( 2/25) Creating system user accounts...
( 3/25) Updating journal message catalog...
( 4/25) Reloading system manager configuration...
( 5/25) Updating udev hardware database...
( 6/25) Applying kernel sysctl settings...
( 7/25) Creating temporary files...
( 8/25) Reloading device manager configuration...
( 9/25) Arming ConditionNeedsUpdate...
(10/25) Rebuilding certificate stores...
(11/25) Install DKMS modules
==> dkms install --no-depmod -m nvidia -v 465.31 -k 5.12.2-153-tkg-bmq
Error! Bad return status for module build on kernel: 5.12.2-153-tkg-bmq (x86_64)
Consult /var/lib/dkms/nvidia/465.31/build/make.log for more information.
==> Warning, `dkms install --no-depmod -m nvidia -v 465.31 -k 5.12.2-153-tkg-bmq' returned 10
==> depmod 5.12.2-153-tkg-bmq
(12/25) Updating linux initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-tkg-bmq-skylake.preset: 'default'
-> -k /boot/vmlinuz-linux-tkg-bmq-skylake -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-tkg-bmq-skylake.img
==> Starting build: 5.12.2-153-tkg-bmq
-> Running build hook: [base]
-> Running build hook: [udev]
-> Running build hook: [autodetect]
-> Running build hook: [modconf]
-> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: xhci_pci
-> Running build hook: [keyboard]
-> Running build hook: [keymap]
-> Running build hook: [consolefont]
-> Running build hook: [plymouth]
-> Running build hook: [lvm2]
-> Running build hook: [filesystems]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-tkg-bmq-skylake.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux-tkg-bmq-skylake.preset: 'fallback'
-> -k /boot/vmlinuz-linux-tkg-bmq-skylake -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-tkg-bmq-skylake-fallback.img -S autodetect
==> Starting build: 5.12.2-153-tkg-bmq
-> Running build hook: [base]
-> Running build hook: [udev]
-> Running build hook: [modconf]
-> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: aic94xx
==> WARNING: Possibly missing firmware for module: wd719x
==> WARNING: Possibly missing firmware for module: xhci_pci
-> Running build hook: [keyboard]
-> Running build hook: [keymap]
-> Running build hook: [consolefont]
-> Running build hook: [plymouth]
-> Running build hook: [lvm2]
-> Running build hook: [filesystems]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-tkg-bmq-skylake-fallback.img
==> Image generation successful
(13/25) Reloading system bus configuration...
(14/25) Warn about old perl modules
(15/25) Foreign/AUR package notification
cndrvcups-lb-bin 3.70-1
ebtables 2.0.10_4-8
libglade 2.6.4-7
linux-tkg-bmq-skylake 5.12.2-153
linux-tkg-bmq-skylake-headers 5.12.2-153
(16/25) Updating icon theme caches...
(17/25) Checking for kernel changes...
(18/25) Mkinitcpio and GRUB update after transactions...
==> Building image from preset: /etc/mkinitcpio.d/linux-tkg-bmq-skylake.preset: 'default'
-> -k /boot/vmlinuz-linux-tkg-bmq-skylake -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-tkg-bmq-skylake.img
==> Starting build: 5.12.2-153-tkg-bmq
-> Running build hook: [base]
-> Running build hook: [udev]
-> Running build hook: [autodetect]
-> Running build hook: [modconf]
-> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: xhci_pci
-> Running build hook: [keyboard]
-> Running build hook: [keymap]
-> Running build hook: [consolefont]
-> Running build hook: [plymouth]
-> Running build hook: [lvm2]
-> Running build hook: [filesystems]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-tkg-bmq-skylake.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux-tkg-bmq-skylake.preset: 'fallback'
-> -k /boot/vmlinuz-linux-tkg-bmq-skylake -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-tkg-bmq-skylake-fallback.img -S autodetect
==> Starting build: 5.12.2-153-tkg-bmq
-> Running build hook: [base]
-> Running build hook: [udev]
-> Running build hook: [modconf]
-> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: aic94xx
==> WARNING: Possibly missing firmware for module: wd719x
==> WARNING: Possibly missing firmware for module: xhci_pci
-> Running build hook: [keyboard]
-> Running build hook: [keymap]
-> Running build hook: [consolefont]
-> Running build hook: [plymouth]
-> Running build hook: [lvm2]
-> Running build hook: [filesystems]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-tkg-bmq-skylake-fallback.img
==> Image generation successful
Generating grub configuration file ...
Found theme: /usr/share/grub/themes/garuda/theme.txt
Found linux image: /boot/vmlinuz-linux-tkg-bmq-skylake
Found initrd image: /boot/intel-ucode.img /boot/initramfs-linux-tkg-bmq-skylake.img
Found fallback initrd image(s) in /boot: initramfs-linux-tkg-bmq-skylake-fallback.img
Detecting snapshots ...
Info: Separate boot partition not detected
Found snapshot: 2021-05-22 20:44:35 | timeshift-btrfs/snapshots/2021-05-22_20-44-35/@
Found snapshot: 2021-05-22 11:07:12 | timeshift-btrfs/snapshots/2021-05-22_11-07-12/@
Found 2 snapshot(s)
Found memtest86+ image: /boot/memtest86+/memtest.bin
/usr/bin/grub-probe: warning: unknown device type nvme0n1.
done
(19/25) Orphaned package notification...
=> No orphans found.
(20/25) Checking for .pacnew and .pacsave files...
(21/25) Updating pkgfile database...
(22/25) Checking which packages need to be rebuilt
(23/25) Updating the desktop file MIME type cache...
(24/25) Updating the MIME type database...
(25/25) Syncing all file systems...

&tldr

==> dkms install --no-depmod -m nvidia -v 465.31 -k 5.12.2-153-tkg-bmq
Error! Bad return status for module build on kernel: 5.12.2-153-tkg-bmq (x86_64)
Consult /var/lib/dkms/nvidia/465.31/build/make.log for more information.

cat /var/lib/dkms/nvidia/465.31/build/make.log

File: /var/lib/dkms/nvidia/465.31/build/make.log
DKMS make.log for nvidia-465.31 for kernel 5.12.2-153-tkg-bmq (x86_64)
Sat 22 May 2021 08:44:54 PM CST
make[1]: Entering directory '/usr/lib/modules/5.12.2-153-tkg-bmq/build'
SYMLINK /var/lib/dkms/nvidia/465.31/build/nvidia/nv-kernel.o
SYMLINK /var/lib/dkms/nvidia/465.31/build/nvidia-modeset/nv-modeset-kernel.o
CC [M]  /var/lib/dkms/nvidia/465.31/build/nvidia-peermem/nvidia-ib-peermem-stub.o
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
make[2]: *** [scripts/Makefile.build:271: /var/lib/dkms/nvidia/465.31/build/nvidia-peermem/nvidia-ib-peermem-stub.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [Makefile:1851: /var/lib/dkms/nvidia/465.31/build] Error 2
make[1]: Leaving directory '/usr/lib/modules/5.12.2-153-tkg-bmq/build'
make: *** [Makefile:80: modules] Error 2

I tried this update with linux-zen on a roll back as well and the update built fine but same result with wine running so slow.

What can I do? Hold back something? Just not update and wait? Report somewhere else? What are my options?

This is a few versions behind and needs to be build with GCC 11.

Where are you sourcing this package from?

from chaotic-aur.

Funny linux-tkg-bmq-skylake is not listed there anymore.

2 Likes

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.